MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000688XdebugUsage problems (Wrong Results)public2011-04-29 17:132011-08-13 16:18
Reporternnmatveev 
Assigned Toderick 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000688: Call to not yet defined function aborts the session
Descriptionsubj
Steps To Reproduce<?php
function_exists("undefined_function");//breakpoint here, evaluate expression "undefined_function()", then step over
function_exists("undefined_function");
function_exists("undefined_function");

--result:
xdebug hangs
Additional Informationhttp://youtrack.jetbrains.net/issue/WI-3256 [^]
TagsNo tags attached.
Operating System
PHP Version5.3.6
Attached Files

- Relationships

-  Notes
(0001743)
nnmatveev (reporter)
2011-05-06 06:43

http://youtrack.jetbrains.net/issue/WI-4041 [^]
(0001772)
derick (administrator)
2011-08-05 14:17

I think I have this fixed now, could you try xdebug 2.1.2 + this patch: http://derickrethans.nl/files/dump/xdebug-issue606.diff.txt [^] please?
(0001777)
derick (administrator)
2011-08-13 16:18

Fixed for 2.1.3 and 2.2dev.

- Issue History
Date Modified Username Field Change
2011-04-29 17:13 nnmatveev New Issue
2011-05-06 06:43 nnmatveev Note Added: 0001743
2011-08-05 14:17 derick Note Added: 0001772
2011-08-05 14:17 derick Assigned To => derick
2011-08-05 14:17 derick Status new => feedback
2011-08-13 16:18 derick Note Added: 0001777
2011-08-13 16:18 derick Status feedback => closed
2011-08-13 16:18 derick Resolution open => fixed
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker